/* BASE STYLES */
html{
	font-size: 100%;
	height: 100%;
	min-width: 300px;
	-webkit-tap-highlight-color: rgba(0,0,0,0);
	@include box-sizing(border-box);
	@media screen and (max-width: 318px) {
		overflow-x:auto;
	}
}
body {
	position: relative;
	font-family: $font-family-main;
	@include font-size($font-size-main);
	line-height: $line-height-main;
	font-weight: $font-weight-main;
	color: $color-text;
	background: $background-body;
	overflow-x: hidden;
	-webkit-overflow-scrolling: touch;
	@include mq('laptop', 'max') {
		@include font-size(12px);
	}

	//Flexbox
	@include flexbox();
	flex-flow:column;
	min-height: 100vh;
	max-width: 2700px;
	margin: 0 auto;
	&.locked{
		overflow: hidden;
	}
	&.menu-open{
		overflow: hidden;
	}
}

.wrapper{
	width: 100%;
	@include flex(1 0 auto);
}
.content{
	position: relative;
	width: 100%;
	text-align: center;
	> .container{
		position: relative;
	}
}
.container_smaller{
	@media (min-width: 981px) {
		max-width: 870px;
	}
	@media (min-width: 600px) {
		max-width: 660px;
	}
	> img {
		width: 100%;
	}
}
.clearfix {
	clear: both;
	&:after {
		content: "";
		display: block;
		height: 0;
		clear: both;
		visibility: hidden;
	}
}
img,
video {
	max-width: 100%;
	height: auto;
}
input,
textarea{
	-webkit-overflow-scrolling: touch;
}
address{
	font-style: normal;
}
input:not([type=checkbox]):not([type=radio]),
textarea,
select {
	-webkit-appearance: none;
	-moz-appearance: none;
	appearance: none;
}

.form input, select, textarea,
input, select, textarea {
	@include mq('tablet', 'max') {
		font-size: 16px;
	}
}
/* end base styles */
